/*
Kursus 02100 — Ugeseddel-Uge-01-Formiddag
For nogle af jer vil det sikkert være ganske let at gennemføre denne første øvelsesgang, men for andre
kan det være noget mere vanskeligt. Men det er meningen at alle skal kunne være med uafhængigt
af den erfaring man m˚atte have i forvejen! Derfor kan det nu godt alligevel være s˚adan at nogle
har brug for mere hjælp end andre, især denne første øvelsesgang. Hvis du har problemer med at f˚a
tingene til at virke, s˚a sørg for at f˚a hjælp fra sidemanden eller hjælpelæreren. Det er ikke pinligt at
spørge, selv ikke om de mest trivielle ting. Og frem for alt: G˚a ikke i panik, selvom tingene kan virke
uoverskuelige i begyndelsen. Det skal nok komme efterh˚anden...
Opgave 1
Læs og udfør de ting som er beskrevet i dokumentet IDE.pdf under ‘Vigtige filer’ p˚a DTU Learn.
Dette bringer dig igennem de introducerende ting hvor du f˚ar det integrerede udviklingsmiljø op at
køre og skriver dit første Java-program.
Opgave 2
Løs nedenst˚aende opgave.
Write a complete Java program that prints the following output:
//////////////////////
|| Victory is mine! ||
\\\\\\\\\\\\\\\\\\\\\\
Opgave 3
Løs nedenst˚aende opgave.
Write a complete Java program that prints the following output. Use at least one static method
besides main to help you.
1
//////////////////////
|| Victory is mine! ||
\\\\\\\\\\\\\\\\\\\\\\
|| Victory is mine! ||
\\\\\\\\\\\\\\\\\\\\\\
|| Victory is mine! ||
\\\\\\\\\\\\\\\\\\\\\\
|| Victory is mine! ||
\\\\\\\\\\\\\\\\\\\\\\
|| Victory is mine! ||
\\\\\\\\\\\\\\\\\\\\\\
Opgave 4
Løs nedenst˚aende opgave.
Write a Java program that generates the following output. Use static methods to show structure and
eliminate redundancy in your solution. Note that there are two rocket ships next to each other. What
redundancy can you eliminate using static methods? What redundancy cannot be eliminated?
/\ /\
/ \ / \
/ \ / \
+------+ +------+
| | | |
| | | |
+------+ +------+
|United| |United|
|States| |States|
+------+ +------+
| | | |
| | | |
+------+ +------+
/\ /\
/ \ / \
/ \ / \
Opgave 5
Løs nedenst˚aende opgave.
Sometimes we want to write similar letters to different people. For example, you might write to your
parents to tell them about your classes and your friends, and to ask for money; you might write to a
friend about your love life, your classes, and your hobbies; and you might write to your brother about
your hobbies and your friends and to ask for money. Write a program that prints similar letters such
as these to three people of your choice. Each letter should have at least one paragraph in common
2
with each of the other. Your main program should have three method calls: one for each of the people
to whom you are writing. Try to isolate repeated tasks into methods.
Opgave 6
Skriv et program, der udskriver følgende linje 50 gange:
DTU - Det bli’r til noget!
Prøv at gøre programmet s˚a simpelt som muligt, men du m˚a kun bruge de faciliteter i Java, som er
gennemg˚aet i bogens kapitel 1. Du kan m˚aske finde inspiration til en god procedural dekomposition
i bogens beskrivelse af binære tal (eng. binary numbers). Bed eventuelt hjælpelæreren om hjælp.
3
 */

public class Opgaver030925 {
    public static void main(String[] args) {
            System.out.println("\nOPGAVE 2:\n");
            Opgave2.opgave2();
            System.out.println("\nOPGAVE 3:\n");
            Opgave3.opgave3();
            System.out.println("\nOPGAVE 4:\n");
            Opgave4.opgave4();
            System.out.println("\nOPGAVE 5:\n");
            Opgave5.opgave5();
            System.out.println("\nOPGAVE 6:\n");
            Opgave6.opgave6();
        }
}


class Opgave2 {
    public static void opgave2() {
        System.out.println("//////////////////////");
        System.out.println("|| Victory is mine! ||");
        System.out.println("\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\");
    }
}

class Opgave3 {
    public static void opgave3() {
        Opgave2.opgave2();
        Opgave2.opgave2();
        Opgave2.opgave2();
        Opgave2.opgave2();
        Opgave2.opgave2();
    }
}

class Opgave4 {
    public static void opgave4() {
        trekant();
        linjeTing();
        vægTing();
        vægTingUSA();
        linjeTing();
        vægTing();
        linjeTing();
        trekant();
    }
    public static void trekant() {
        System.out.println("   /\\       /\\   ");
        System.out.println("  /  \\     /  \\  ");
        System.out.println(" /    \\   /    \\ ");
    }
    public static void linjeTing() {
        System.out.println("+------+ +------+");
    }
    public static void vægTing() {
        System.out.println("|      | |      |");
        System.out.println("|      | |      |");
    }
    public static void vægTingUSA() {
        System.out.println("|United| |United|");
        System.out.println("|States| |States|");
    }
}

class Opgave5 {
    public static void opgave5() {
        System.out.println("Kære mor,");
        askMoney();
        tellAboutClasses();
        System.out.println("\nKære bror,");
        tellAboutClasses();
        tellAboutHobbies();
        tellAboutFriends();
        System.out.println("\nKære ven,");
        tellAboutHobbies();
        tellAboutFriends();
        askMoney();
        tellAboutClasses();
    }
    public static void askMoney() {
        System.out.println("Jeg har meget få pengene lige nu faktisk, hvis du lige kunne sende mig 1 mil ville det være dejligt, tak <3.");
    }
    public static void tellAboutClasses() {
        System.out.println("Jeg er started på uni, er chill nok indtil videre. Dog er vores programmeringslære meget kedeligt cause det er meget simple ting han fortæller om");
    }
    public static void tellAboutHobbies() {
        System.out.println("Jeg kan godt lide at spille TerraFirmaGreg-modern med en af mine gym-venner. Vi har en server og spiller nogle gange sammen.");
    }
    public static void tellAboutFriends() {
        System.out.println("Jeg har både gym-venner og uni venner. Nogle af mine gym venner går også på uni og er started samtidig med mig.");
    }
}

class Opgave6 {
    static int count = 0;
    public static void opgave6() {
        System.out.println("DTU - Det bli’r til noget!");
        if (count < 50) {
            count += 1;
            opgave6();
        }
        else {
            return;
        }
    }
}